{% extends 'base.html.twig' %}

{% block title %}
    {{ad.title}}
{% endblock %}

{% block body %}
    <!-- FIXE ME au niveau du style le mettre dans le fichier app.css -->
    <div class="mat7" style="background-image:url('{{ad.coverImage}}');padding: 2em;background-size: cover;background-position: center center;">
        <div class="container">
            <h1 style="color: white;text-shadow: 3px 3px 3px rgba(0,0,0,0.5);">{{ad.title}}</h1>
            <p class="h2" style="color: white;text-shadow: 3px 3px 3px rgba(0,0,0,0.5);">
                <strong>Pour <strong>{{ad.price | number_format(2, ',', ' ') }}&euro;</strong> par jour.
            </p>
            <a href="{{ path('booking_create', {'slug':ad.slug}) }}" class="btn btn-primary">Réserver !</a>
            {% if app.user and app.user == ad.author %}
                <a href="{{path('ads_edit', {'slug':ad.slug})}}" class="btn btn-secondary">Modifier l'annonce !</a>
                <a href="{{path('ads_delete', {'slug':ad.slug})}}" class="btn btn-danger" onclick="return confirm(`Êtes vous sur de vouloir supprimer l'annonce: {{ad.title}}`)">Supprmier l'annonce !</a>
            {% endif %}
        </div> 
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-8 mb-3">
                {{ad.introduction | raw }}
                <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                    <ol class="carousel-indicators">
                    {% for image in ad.images %}
                        <li data-target="#carouselExampleIndicators" data-slide-to="{{ loop.index0 }}" {% if loop.first %}class="active"{% endif %}></li>
                    {% endfor %}
                    </ol>
                    <div class="carousel-inner">
                    {% for image in ad.images %}
                        <div class="carousel-item {% if loop.first %}active{% endif %}">
                            <img class="d-block w-100" src="{{ image.url }}" alt="First slide">
                            <div class="carousel-caption d-none d-md-block">
                                <h5>{{ ad.title }}</h5>
                                <p>{{ image.caption }}</p>
                            </div>
                        </div>
                    {% endfor %}
                    </div>
                    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                    </a>
                </div>
                <hr>
                {% if ad.comments|length > 0 %}
                    <h2 class="tac mb-3">Commentaires de nos clients :</h2>

                    <div class="alert alert-info">
                        <h4 class="alert-heading text-center">
                            <div class="row align-items-center">
                                <div class="col">
                                    Note global donnée par nos clients
                                </div>
                                <div class="col">
                                    {% include 'partials/rating.html.twig' with {'rating':ad.avgRatings} %}
                                    <br>
                                    <small>(Calculée sur {{ad.comments|length}} avis)</small>
                                </div>
                            </div>
                        </h4>
                    </div>
                    {% for comment in ad.comments %}
                        <div class="bg-light mb-3 py-3 px-3">
                            <strong>{{ comment.author.firstName }}</strong> a dit :
                            <blockquote>
                                {{comment.content}}
                            </blockquote>
                            <strong>Note donnée :</strong>
                            {% include 'partials/rating.html.twig' with {'rating':comment.rating} %}
                        </div>
                    {% endfor %}
                {% else %}
                    <h2>Cette annonce n'a pas encore reçu de commentaires ...</h2>
                {% endif %}
            </div>
            <div class="col">
                {% set a = ad.author %}
                <div class="row">
                    <div class="col-3">
                        <a href="{{path('user_show', {'slug':a.slug})}}">
                            <img src="{{a.picture}}" class="avatar avatar-medium" alt="Avatar de {{a.fullName}}"/>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('user_show', {'slug':a.slug})}}">
                            <h3>{{a.fullName}}</h3>
                        </a>
                        <span class="badge badge-primary">{{a.ads | length}} annonces</span>
                    </div>
                </div>
                {{ a.description | raw }}
            </div>
        </div>
    </div>

{% endblock %}